<template>
    <div class="report-preview">
        <!--   style="width: 1252px" -->
        <el-button
            class="download"
            type="primary"
            size="mini"
            icon="el-icon-download"
            @click="download"
            >导出报表</el-button
        >
        <!-- :span-method="objectSpanMethod" -->
        <el-table
            height="75vh"
            v-if="dataReady"
            align="center"
            :data="tableData"
            id="mix-table-bigger"
            class="dialog_table quxian"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
            v-loading="loading"
            :element-loading-background="loadingColor"
        >
            <!-- <el-table-column type="index"></el-table-column> -->
            <el-table-column prop="unitName" label="区县" min-width="100">
                <template v-slot="{row}">
                    <div
                        :style="
                            row.areaType == 1
                                ? 'text-align:left;padding-left:10px;font-weight:bold;font-size:13px;'
                                : 'text-align:center'
                        "
                    >
                        {{ row.unitName }}
                    </div>
                </template>
            </el-table-column>
            <el-table-column
                prop="score"
                :label="`综合\n评价\n指数`"
                width="80"
            />
            <!-- <el-table-column prop="regionSn" :label="`区域\n排位`" width="80" /> -->
            <el-table-column prop="allSn" :label="`全市\n排位`" width="80" />
            <el-table-column label="改革落实力 （25分）">
                <el-table-column
                    prop="nationalProjectNum"
                    :label="`承接国家\n试点项目数\n（项）`"
                    min-width="100"
                >
                </el-table-column>
                <el-table-column
                    prop="nationalPassRate"
                    :label="`承接的国家\n试点项目按时\n通过验收率\n（%）`"
                    min-width="100"
                >
                </el-table-column>
                <el-table-column
                    prop="cityProjectNum"
                    :label="`承接市级\n试点项目数\n（项）`"
                    min-width="100"
                >
                </el-table-column>
                <el-table-column
                    prop="cityPassRate"
                    :label="`承接的市级\n试点项目按时\n通过验收率\n（%）`"
                    min-width="100"
                >
                </el-table-column>
                <el-table-column prop="workableScore" label="得分" width="80" />
            </el-table-column>
            <el-table-column label="品牌显示度 （40分）">
                <el-table-column
                    prop="nationwideNum"
                    :label="`改革经验获\n全国性\n肯定评价\n（件次）`"
                    min-width="120"
                >
                </el-table-column>
                <el-table-column
                    prop="cityNum"
                    :label="`改革经验获\n全市推广\n（件次）`"
                    width="100"
                >
                </el-table-column>
                <el-table-column
                    prop="mediaNum"
                    :label="`改革经验\n被5家中央\n媒体深度\n专题报道\n（件次）`"
                    min-width="120"
                >
                </el-table-column>
                <el-table-column prop="brandScore" label="得分" width="80" />
            </el-table-column>
            <el-table-column :label="`改革满意度（20分）`">
                <el-table-column
                    prop="satisfied"
                    :label="`社情民意\n电话调查\n满意度\n（%）`"
                    min-width="100"
                >
                </el-table-column>
                <el-table-column
                    prop="satisfiedScore"
                    label="得分"
                    width="80"
                />
            </el-table-column>
            <el-table-column :label="`风险管控力（15分）`">
                <el-table-column
                    prop="opinionScore"
                    :label="`引发重大负面\n舆情或群体性\n事件情况得分`"
                    min-width="140"
                >
                </el-table-column>
                <!-- <el-table-column prop="opinionScore" label="扣分" width="80" /> -->
            </el-table-column>
        </el-table>
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/districView.js'
export default {
    name: 'reportPreview',
    components: {},
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            dataReady: true,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            loading: false,
            // 主城都市区编码
            mainCode: [
                '500103000000',
                '500112000000',
                '500108000000',
                '500106000000',
                '500104000000',
                '500107000000',
                '500105000000',
                '500113000000',
                '500109000000',
                '500119000000',
                '500192000000',
                '500117000000',
                '500151000000',
                '500120000000',
                '500118000000',
                '500111000000',
                '500153000000',
                '500115000000',
                '500102000000',
                '500152000000',
                '500116000000',
                '500191000000',
                '500110000000',
                '500113000000',
                '500193000000',
            ],
            // 渝东北三峡库区城镇群
            northeastCode: [
                '500233000000',
                '500236000000',
                '500238000000',
                '500155000000',
                '500237000000',
                '500235000000',
                '500231000000',
                '500154000000',
                '500101000000',
                '500230000000',
                '500229000000',
            ],
            // 渝东南武陵山区城镇群
            southeastCode: [
                '500114000000',
                '500241000000',
                '500156000000',
                '500240000000',
                '500242000000',
                '500243000000',
            ],
            tableData: [],
            rowMergeIndex: [0, 22, 34],
        }
    },
    mounted() {
        this.initData()
    },
    methods: {
        initData() {
            this.loading = true
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            let data = this.qs.stringify({
                year: searchDate.year,
                quarter: searchDate.quarter,
            })
            apiList.statementDetail(data, (res) => {
                const data = res || []
                this.tableData = data
                // 主城都市区编码
                let mainList = this.arrHasSameValue(data, this.mainCode)
                let length1 = mainList.length + 1
                // 渝东北三峡库区城镇群
                let northeastList = this.arrHasSameValue(
                    data,
                    this.northeastCode
                )
                let length2 = northeastList.length + 1 + length1
                // 渝东南武陵山区城镇群
                let southeastList = this.arrHasSameValue(
                    data,
                    this.southeastCode
                )
                // this.tableData = [
                //     {
                //         unitName: '主城都市区',
                //         areaType: 1,
                //     },
                //     ...mainList,
                //     {
                //         unitName: '渝东北三峡库区城镇群',
                //         areaType: 1,
                //     },
                //     ...northeastList,
                //     {
                //         unitName: '渝东南武陵山区城镇群',
                //         areaType: 1,
                //     },
                //     ...southeastList,
                // ]
                this.rowMergeIndex = [0, length1, length2]
                this.loading = false
            })
        },
        // 找出两个数组相同的数据
        arrHasSameValue(arr1, arr2) {
            return arr1.filter((item) => {
                if (arr2.indexOf(item.unitCode) > -1) {
                    return item
                }
            })
        },
        objectSpanMethod({row, column, rowIndex, columnIndex}) {
            if (this.rowMergeIndex.includes(rowIndex)) {
                if (columnIndex == 0) {
                    return [1, 16]
                } else if (columnIndex !== 0) {
                    return [0, 0]
                }
            }
        },
        download() {
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            let data = this.qs.stringify({
                year: searchDate.year,
                quarter: searchDate.quarter,
            })
            apiList.exportReport(data, (res) => {
                console.log(res)
            })
        },
    },
}
</script>

<style lang="scss">
// .report-overview {
//   width: 100%;
//   // height: 600px;

  
// }
// .download.el-button{
//     margin-bottom: 10px;
// }
// // .report-overview {
// //     height: 700px;
// // }
// #mix-table-bigger .el-table--border th,
// .el-table--border td {
//   border-right: 1px solid rgb(39, 86, 162) !important;
// }
// #mix-table-bigger.el-table th.el-table__cell.is-leaf,
// #mix-table-bigger.el-table td.el-table__cell {
//   border-bottom: 1px solid rgb(39, 86, 162) !important;
// }
// #mix-table-bigger.el-table th.el-table__cell > .cell {
//   white-space: pre;
// }
// #mix-table-bigger.dialog_table.el-table {
//     background-color: rgba(1, 39, 101, 1)!important;
//   // tr {
//   //     background-color: rgba(1, 39, 101, 1)!important;
//   //     color: #FFFFFF!important;
//   // }
//   // tr:nth-of-type(2n+1){
//   //     background-color: rgb(3, 45, 113)!important;
//   //     color: #FFFFFF!important;
//   // }

//   thead tr {
//     background: none !important;
//   }
//   thead tr,
//   thead tr th,
//   .el-table__empty-block {
//     background: none !important;
//     background-color: #114385 !important;
//     color: #ffffff;
//   }
//   th > .cell {
//     font-size: 14px;
//     font-family: SimHei;
//     font-weight: 400;
//     color: #ffffff;
//   }
//   td > .cell {
//     color: #ffffff !important;
//   }
// }

// #mix-table-bigger.el-table--border {
//   border: 1px solid rgb(39, 86, 162) !important;
//   .el-table__cell {
//     border-right: 1px solid rgb(39, 86, 162) !important;
//   }
//   th.el-table__cell {
//     border-bottom: 1px solid rgb(39, 86, 162) !important;
//   }
//   td {
//     border-right: 1px solid rgb(39, 86, 162) !important;
//   }
//   th {
//     border-right: 1px solid rgb(39, 86, 162) !important;
//   }
// }
// #mix-table-bigger.el-table {
//   tr {
//     background-color: rgba(1, 39, 101, 1) !important;
//     color: #ffffff !important;
//   }
// }
// #mix-table-bigger
//   .el-table--enable-row-hover
//   .el-table__body
//   tr:hover
//   > td.el-table__cell {
//   background-color: rgba(2, 115, 233, 0.3) !important;
// }
// #mix-table-bigger.el-table.el-table--border tbody tr:hover > td {
//   background-color: rgba(2, 115, 233, 0.3) !important;
// }

// #mix-table-bigger.el-table--group::after,
// #mix-table-bigger.el-table--border::after,
// #mix-table-bigger.el-table::before {
//   background-color: #001f47 !important;
// }
// #mix-table-bigger {
//   /* 设置滚动条的样式 */
//   ::-webkit-scrollbar {
//     width: 8px !important; //垂直方向上的宽
//     height: 8px !important; //水平方向上的宽
//   }

//   /* 滚动槽 */
//   ::-webkit-scrollbar-track {
//     background-color: #01215a !important;
//   }

//   /* 滚动条滑块 */
//   ::-webkit-scrollbar-thumb {
//     border-radius: 6px;
//     background-color: rgba(#fff, 0.1) !important;
//   }
//   /*滚动条交叉样式*/
//   ::-webkit-scrollbar-corner {
//     background: #01215a !important;
//   }
// }
</style>
